Customer Details
With this service, you can get information about a customer by their room number.
GET
/integrators/users/detail/{roomNumber}
| Field | Type | In | Required | Example | Description |
|---|---|---|---|---|---|
| roomNumber | string | PATH | Yes | IG00001 | Customer's room number. |
Response Structure 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.roomNumber | string | IG00001 | Customer's room number. |
| data.balance | integer | 157 (1.57 GEL) | Current balance in tetri. |
| data.bonus | integer | 0 (0 GEL) | Current bonus in tetri. |
| data.fullNameKa | string | სახელი გვარი | Customer's first and last name in Georgian. |
| data.fullNameEn | string | Name Lastname | Customer's first and last name in English. |
Possible Responses
| Code | Description |
|---|---|
| 200 OK | Customer object. |
| 404 Not Found | Customer with the specified room number was not found. |
| 403 Forbidden | You do not have permission to perform this operation |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/users/detail/IG00001 \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json"
Response (200 OK)
JSON Response
JSON
{
"data": {
"roomNumber": "IG00001",
"balance": 157,
"bonus": 0,
"fullNameKa": "სახელი გვარი",
"fullNameEn": "Name Lastname"
}
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Requested customer not found"
]
},
"message": "error"
}